package com.gh.gamecenter.core.provider

import com.alibaba.android.arouter.facade.template.IProvider

interface IBuildConfigProvider : IProvider {
    fun getApplicationId(): String

    fun getVersionName(): String

    fun getExposureVersion(): String

    fun isDebug(): Boolean

    fun getApiHost(): String

    fun getDevApiHost(): String

    fun getNewApiHost(): String

    fun getNewDevApiHost(): String

    fun getVApiHost(): String

    fun getVDevApiHost(): String
}